org.h2gis.functions.spatial.type

## Class GeometryTypeNameFromConstraint

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.type.GeometryTypeNameFromConstraint

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class GeometryTypeNameFromConstraint
    extends org.h2gis.api.DeterministicScalarFunction

Parse the constraint and return the Geometry type name.

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`GeometryTypeNameFromConstraint()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `getGeometryTypeNameFromConstraint(String constraint, int numericPrecision)` Parse the constraint and return the Geometry type name.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### GeometryTypeNameFromConstraint

    public GeometryTypeNameFromConstraint()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### getGeometryTypeNameFromConstraint

    public static String getGeometryTypeNameFromConstraint(String constraint,
                                                           int numericPrecision)

Parse the constraint and return the Geometry type name.

Parameters:
  `constraint` - Constraint on geometry type
  `numericPrecision` - of the geometry type
Returns:
  Geometry type